%{?mingw_package_header}

%global pkgname giflib

Name:          mingw-%{pkgname}
Version:       4.1.6
Release:       2%{?dist}
Summary:       MinGW Windows giflib library
License:       MIT
Group:         Development/Libraries
BuildArch:     noarch
URL:           http://www.sourceforge.net/projects/%{pkgname}/
Source:        http://downloads.sourceforge.net/%{pkgname}/%{pkgname}-%{version}.tar.bz2
# Add -no-undefined to linker flags
Patch0:        mingw-giflib_no-undefined.patch

# Needed for Patch0
BuildRequires: autoconf automake libtool

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc


%description
MinGW Windows giflib library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows giflib library

%description -n mingw32-%{pkgname}
MinGW Windows giflib library.


%package -n mingw32-%{pkgname}-static
Summary:       Static version of the MinGW Windows giflib library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-static
Static version of the MinGW Windows giflib library.


%package -n mingw32-%{pkgname}-tools
Summary:       MinGW Windows giflib library tools
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-tools
MinGW Windows giflib library tools.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows giflib library

%description -n mingw64-%{pkgname}
MinGW Windows giflib library.


%package -n mingw64-%{pkgname}-static
Summary:       Static version of the MinGW Windows giflib library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-static
Static version of the MinGW Windows giflib library.


%package -n mingw64-%{pkgname}-tools
Summary:       MinGW Windows giflib library tools
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-tools
MinGW Windows giflib library tools.


%{?mingw_debug_package}


%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1


%build
# Needed for Patch0
autoreconf -i

%mingw_configure
%mingw_make %{?_smp_mflags}


%install
%mingw_make DESTDIR=%{buildroot} install

# Delete *.la files
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%files -n mingw32-%{pkgname}
%doc AUTHORS ChangeLog COPYING NEWS README
%{mingw32_bindir}/libgif-4.dll
%{mingw32_includedir}/gif_lib.h
%{mingw32_libdir}/libgif.dll.a

%files -n mingw32-%{pkgname}-static
%{mingw32_libdir}/libgif.a

%files -n mingw32-%{pkgname}-tools
%{mingw32_bindir}/*.exe
%{mingw32_bindir}/gifburst
%{mingw32_bindir}/gifcompose

%files -n mingw64-%{pkgname}
%doc AUTHORS ChangeLog COPYING NEWS README
%{mingw64_bindir}/libgif-4.dll
%{mingw64_includedir}/gif_lib.h
%{mingw64_libdir}/libgif.dll.a

%files -n mingw64-%{pkgname}-static
%{mingw64_libdir}/libgif.a

%files -n mingw64-%{pkgname}-tools
%{mingw64_bindir}/*.exe
%{mingw64_bindir}/gifburst
%{mingw64_bindir}/gifcompose


%changelog
* Sun May 19 2013 Sandro Mani <manisandro@gmail.com> - 4.1.6-2
- Remove mingw_build_win32/64 macros
- Properly version mingw32-filesystem BuildRequires

* Wed May 08 2013 Sandro Mani <manisandro@gmail.com> - 4.1.6-1
- Initial Fedora package
